Page MenuHomePhabricator

[BPF][NewPM] Port bpf-adjust-opt to NPM and add it to pipeline
ClosedPublic

Authored by aeubanks on Nov 23 2020, 12:40 PM.

Diff Detail

Event Timeline

aeubanks created this revision.Nov 23 2020, 12:40 PM
Herald added a project: Restricted Project. · View Herald TranscriptNov 23 2020, 12:40 PM
aeubanks requested review of this revision.Nov 23 2020, 12:40 PM

I hit a build failure with latest llvm-project repo (top commit e42021d5cc25 ("[Clang][-fvisibility-from-dllstorageclass] Set DSO Locality from final visibility")).

-bash-4.4$ ninja && ninja install
[90/129] Building CXX object lib/Targe...MBPFCodeGen.dir/BPFTargetMachine.cpp.o
FAILED: lib/Target/BPF/CMakeFiles/LLVMBPFCodeGen.dir/BPFTargetMachine.cpp.o
/opt/rh/devtoolset-8/root/bin/g++ -DGTEST_HAS_RTTI=0 -D_DEBUG -D_GNU_SOURCE -DSTDC_CONSTANT_MACROS -DSTDC_FORMAT_MACROS -D__STDC_LIMIT_MACROS -Ilib/Target/BPF -I../lib/Target/BPF -Iinclude -I../include -fPIC -fvisibility-inlines-hidden -Werror=date-time -Wall -Wextra -Wno-unused-parameter -Wwrite-strings -Wcast-qual -Wno-missing-field-initializers -pedantic -Wno-long-long -Wimplicit-fallthrough -Wno-maybe-uninitialized -Wno-class-memaccess -Wno-noexcept-type -Wdelete-non-virtual-dtor -Wno-comment -fdiagnostics-color -ffunction-sections -fdata-sections -O2 -fvisibility=hidden -fno-exceptions -fno-rtti -UNDEBUG -std=c++14 -MD -MT lib/Target/BPF/CMakeFiles/LLVMBPFCodeGen.dir/BPFTargetMachine.cpp.o -MF lib/Target/BPF/CMakeFiles/LLVMBPFCodeGen.dir/BPFTargetMachine.cpp.o.d -o lib/Target/BPF/CMakeFiles/LLVMBPFCodeGen.dir/BPFTargetMachine.cpp.o -c ../lib/Target/BPF/BPFTargetMachine.cpp
../lib/Target/BPF/BPFTargetMachine.cpp: In member function ‘virtual void llvm::BPFTargetMachine::registerPassBuilderCallbacks(llvm::PassBuilder&, bool)’:
../lib/Target/BPF/BPFTargetMachine.cpp:139:6: error: ‘class llvm::PassBuilder’ has no member named ‘registerPipelineEarlyAfterCleanupEPCallback’; did you mean ‘registerPipelineStartEPCallback’?

PB.registerPipelineEarlyAfterCleanupEPCallback(
   ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   registerPipelineStartEPCallback

[99/129] Building CXX object tools/cla...j.clangCodeGen.dir/CodeGenModule.cpp.o
ninja: build stopped: subcommand failed.
-bash-4.4$

This depends on https://reviews.llvm.org/D91804, which hasn't been submitted yet
Perhaps I should have waited for that one to go in before adding reviewers, sorry

No problem. I will wait for that dependent patch getting merged and then will do the review.

No problem. I will wait for that dependent patch getting merged and then will do the review.

Should be good to go now

aeubanks edited the summary of this revision. (Show Details)Nov 24 2020, 9:24 PM
yonghong-song accepted this revision.Nov 25 2020, 11:13 PM

The change looks good to me. Thanks!

This revision is now accepted and ready to land.Nov 25 2020, 11:13 PM